<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <!-- Bootstrap CSS -->
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-1BmE4kWBq78iYhFldvKuhfTAU6auU8tT94WrHftjDbrCEXSU1oBoqyl2QvZ6jIW3" crossorigin="anonymous">
    <title>Note List</title>
  </head>
  <!DOCTYPE html>
<html>
<head>
<style>
table {
  font-family: arial, sans-serif;
  border-collapse: collapse;
  width: 100%;
}

td, th {
  border: 1px solid #000000;
  text-align: left;
  padding: 8px;
}

tr:nth-child(even) {
  background-color: #a38d8d;
}
</style>
</head>
  <body>
    <nav class="navbar navbar-expand-lg navbar-dark bg-dark">
      <div class="container-fluid">
        <a class="navbar-brand" href="/lab-4">Home</a>
        <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
          <span class="navbar-toggler-icon"></span>
        </button>
        <div class="collapse navbar-collapse" id="navbarSupportedContent">
          <ul class="navbar-nav me-auto mb-2 mb-lg-0">
            <li class="nav-item">
              <a class="nav-link text-danger active" aria-current="page" href="/lab-3/">Friend List</a>
            </li>
            <li class="nav-item">
              <a class="nav-link active" aria-current="page" href="/lab-4/note-list/">Note List</a>
            </li>
            <li class="nav-item">
              <a class="nav-link text-danger active" aria-current="page" href="/lab-3/add/">Add Friend</a>
            </li>
            <li class="nav-item">
              <a class="nav-link active" aria-current="page" href="add-note/">Add Note</a>
            </li>
          </ul>
        </div>
      </div>
    </nav>
    <table>
      <tr>
        <th>to</th>
        <th>From</th>
        <th>title</th>
        <th>message</th>
      </tr>
      <!-- TODO loop from Friend model -->
      {% for catatan in notes%}
        <tr>
        <td>{{catatan.to}}</td>
        <td>{{catatan.From}}</td>
        <td>{{catatan.title}}</td>
        <td>{{catatan.message}}</td>
        </tr>
        {% endfor %}
      </table>
      <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/js/bootstrap.bundle.min.js" integrity="sha384-ka7Sk0Gln4gmtz2MlQnikT1wXgYsOg+OMhuP+IlRH9sENBO0LRn5q+8nbTov4+1p" crossorigin="anonymous"></script>
    </body>
  </html>
